Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/py-xdg: new aport

From: AmatCoder <amatcoder_at_gmail.com>
Date: Thu, 11 Dec 2014 09:50:08 +0000

---
 testing/py-xdg/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-xdg/APKBUILD
diff --git a/testing/py-xdg/APKBUILD b/testing/py-xdg/APKBUILD
new file mode 100644
index 0000000..c22458d
--- /dev/null
+++ b/testing/py-xdg/APKBUILD
_at_@ -0,0 +1,36 @@
+# Contributor: August Klein <amatcoder_at_gmail.com>
+# Maintainer: August Klein <amatcoder_at_gmail.com>
+pkgname=py-xdg
+_pkgname=pyxdg
+pkgver=0.25
+pkgrel=0
+pkgdesc="A python library to access freedesktop.org standards"
+url="http://freedesktop.org/wiki/Software/pyxdg"
+arch="noarch"
+license="LGPL"
+depends=""
+depends_dev="python-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://people.freedesktop.org/~takluyver/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="bedcdb3a0ed85986d40044c87f23477c  pyxdg-0.25.tar.gz"
+sha256sums="81e883e0b9517d624e8b0499eb267b82a815c0b7146d5269f364988ae031279d  pyxdg-0.25.tar.gz"
+sha512sums="86cbf3a54fb8e79043db60dcdbb3fb10013ae25a900fa3592edc8a24bf3f440c19bc04626c7906293c785fcb56eab9d87d209b723b5baa872376ba1eb86758b6  pyxdg-0.25.tar.gz"
-- 
2.2.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Dec 11 2014 - 09:50:08 UTC